Index: BaseShares.cs
===================================================================
--- BaseShares.cs	(revision 27941)
+++ BaseShares.cs	(working copy)
@@ -36,15 +36,6 @@
   {
     public class ShareData
     {
-      /*public enum Views
-      {
-        List,
-        Icons,
-        BigIcons,
-        Filmstrip,
-        CoverFlow
-      }*/
-
       public string Name;
       public string Folder;
       public string PinCode;
@@ -321,7 +312,7 @@
         shareData.Port = editShare.Port;
         shareData.ActiveConnection = editShare.ActiveConnection;
         shareData.RemoteFolder = editShare.RemoteFolder;
-        shareData.DefaultLayout = (Layout)editShare.View;
+        shareData.DefaultLayout = ProperLayoutFromDefault(editShare.View);
 
         AddShare(shareData, currentlyCheckedItem == null);
       }
@@ -372,7 +363,7 @@
           editShare.LoginName = shareData.LoginName;
           editShare.PassWord = shareData.PassWord;
           editShare.RemoteFolder = shareData.RemoteFolder;
-          editShare.View = (int)shareData.DefaultLayout;
+          editShare.View = ProperDefaultFromLayout(shareData.DefaultLayout);
 
           DialogResult dialogResult = editShare.ShowDialog(this);
 
@@ -389,7 +380,7 @@
             shareData.Port = editShare.Port;
             shareData.ActiveConnection = editShare.ActiveConnection;
             shareData.RemoteFolder = editShare.RemoteFolder;
-            shareData.DefaultLayout = (Layout)editShare.View;
+            shareData.DefaultLayout = ProperLayoutFromDefault(editShare.View);
 
             selectedItem.Tag = shareData;
 
@@ -760,5 +751,31 @@
         xmlwriter.SetValueAsBool(section, "SwitchRemovableDrives", SwitchRemovableDrives);
       }
     }
+
+    public Layout ProperLayoutFromDefault(int defaultView)
+    {
+      switch (defaultView)
+      {
+        case 1: return MediaPortal.GUI.Library.GUIFacadeControl.Layout.SmallIcons;
+        case 2: return MediaPortal.GUI.Library.GUIFacadeControl.Layout.LargeIcons;
+        case 3: return MediaPortal.GUI.Library.GUIFacadeControl.Layout.AlbumView;
+        case 4: return MediaPortal.GUI.Library.GUIFacadeControl.Layout.Filmstrip;
+        case 5: return MediaPortal.GUI.Library.GUIFacadeControl.Layout.CoverFlow;
+        default: return MediaPortal.GUI.Library.GUIFacadeControl.Layout.List;
+      }
+    }
+
+    public int ProperDefaultFromLayout(Layout layout)
+    {
+      switch (layout)
+      {
+        case MediaPortal.GUI.Library.GUIFacadeControl.Layout.SmallIcons: return 1;
+        case MediaPortal.GUI.Library.GUIFacadeControl.Layout.LargeIcons: return 2;
+        case MediaPortal.GUI.Library.GUIFacadeControl.Layout.AlbumView: return 3;
+        case MediaPortal.GUI.Library.GUIFacadeControl.Layout.Filmstrip: return 4;
+        case MediaPortal.GUI.Library.GUIFacadeControl.Layout.CoverFlow: return 5;
+        default: return 0;
+      }
+    }
   }
 }
\ No newline at end of file
